## org.springframework.dao
Class NonTransientDataAccessResourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.NonTransientDataAccessResourceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DataAccessResourceFailureException

    public class NonTransientDataAccessResourceException

extends NonTransientDataAccessException

Data access exception thrown when a resource fails completely and the failure is permanent.

Since:
  2.5
Author:
  Thomas Risberg
See Also:
  `SQLNonTransientConnectionException`, Serialized Form

Constructor Summary
`NonTransientDataAccessResourceException(String msg)` Constructor for NonTransientDataAccessResourceException.
`NonTransientDataAccessResourceException(String msg, Throwable cause)` Constructor for NonTransientDataAccessResourceException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonTransientDataAccessResourceException

    public NonTransientDataAccessResourceException(String msg)

  Constructor for NonTransientDataAccessResourceException.

  Parameters:
    `msg` - the detail message

### NonTransientDataAccessResourceException

    public NonTransientDataAccessResourceException(String msg,
                                                   Throwable cause)

  Constructor for NonTransientDataAccessResourceException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the data access API in use

Copyright © 2002-2008 The Spring Framework.